---
title: "Delete a Role"
slug: "delete-a-role"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:36:53Z
published: 2026-09-23T09:36:53Z
canonical: "docs.trellix.com/delete-a-role"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Delete a Role
This URL deletes an existing custom role.
## Resource URL
DELETE /role/{roleName}
## Request Parameters
URL Parameter
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| roleName | Name of the custom role that is to be deleted | String | Yes |
## Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| status | Value 1 indicates the resource is deleted successfully | Number |
## Example
**Request**
DELETE [https:///sdkapi/role/{CustomRole}](https://%3CNSM_IP%3E/sdkapi/role/%7BCustomRole%7D)
**Response**
```
{
"status":1
}
```
## Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 400 | 9504 | The role that you want to delete is in use |